classification
Title: Error using >>> from OpenGL.GLUT import *
Type: Stage:
Components: Windows Versions: Python 2.5
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: ggenellina, igorcamp, neuralsensor, nnorwitz
Priority: normal Keywords:

Created on 2007-10-27 22:33 by neuralsensor, last changed 2008-08-24 05:27 by igorcamp. This issue is now closed.

Messages (4)
msg56866 - (view) Author: Dale (neuralsensor) Date: 2007-10-27 22:33
I get the response shown below when trying to use OpenGL. I have Python 
2.5, PIL-1.1.6, and PyOpenGL 3.0 installed.
Any help would be greatly appreciated.

Thanks,
Dale


>>> from OpenGL.GLUT import *

Traceback (most recent call last):
  File "<pyshell#0>", line 1, in <module>
    from OpenGL.GLUT import *
  File "build\bdist.win32\egg\OpenGL\GLUT\__init__.py", line 4, in 
<module>
  File "build\bdist.win32\egg\OpenGL\GLUT\special.py", line 73, in 
<module>
AttributeError: 'NoneType' object has no attribute 'glutDestroyWindow'
>>> 



__init__.py line 4 is;

from OpenGL.GLUT.special import *


special.py line 73 is;

_base_glutDestroyWindow = GLUT.glutDestroyWindow
msg56867 - (view) Author: Gabriel Genellina (ggenellina) Date: 2007-10-27 23:28
Looks like GLUT in special.py is None. You should ask the PyOpenGL 
author/community for help. This is not a Python bug.
msg56989 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2007-10-31 06:16
As gagenellina said, this problem appears to be with OpenGL, not python.
 OpenGL is not maintained here.  You'll have to open a bug report with them.
msg71827 - (view) Author: Igor do Valle Campbell (igorcamp) Date: 2008-08-24 05:27
You have to put the glut32.dll in Windows/system32 folder.

You can get glut32.dll here:

http://www.xmission.com/~nate/glut/glut-3.7.6-bin.zip

extract the glut32.dll to the Windows/system32 folder and voila.
History
Date User Action Args
2008-08-24 05:27:21igorcampsetnosy: + igorcamp
type: compile error ->
messages: + msg71827
2007-10-31 06:16:38nnorwitzsetstatus: open -> closed
resolution: rejected
messages: + msg56989
nosy: + nnorwitz
2007-10-27 23:28:51ggenellinasetnosy: + ggenellina
messages: + msg56867
2007-10-27 22:33:15neuralsensorcreate